package cluster

import "errors"

var (
	// ErrInvalidName indicates the name isn't valid
	ErrInvalidName = errors.New("invalid name")

	// ErrUnknownNode indicates there is a reference to a node
	// we don't have on the tree
	ErrUnknownNode = errors.New("node does not exist")

	// ErrInvalidNode indicates the nodes can't be used for
	// the intended purpose
	ErrInvalidNode = errors.New("invalid node")
)
